XkbLibraryVersion(__libmansuffix__)

NAME
XkbLibraryVersion - Determines the compatibility of a library at runtime.

SYNOPSIS

Bool XkbLibraryVersion (int *lib_major_in_out, int *lib_minor_in_out);

ARGUMENTS

lib_major_in_out
    Specifies and returns the major Xkb library version.

lib_minor_in_out
    Specifies and returns the minor Xkb library version.

DESCRIPTION

If an application is dynamically linked, both the X server and the client-side X library must contain the Xkb extension in order for the client to use the Xkb extension capabilities. Therefore a dynamically linked application must check both the library and the server for compatibility before using Xkb function calls. A properly written program must check for compatibility between the version of the Xkb library that is dynamically loaded and the one used when the application was built. It must then check the server version for compatibility with the version of Xkb in the library. If your application is statically linked, you must still check for server compatibility and may check library compatibility. (It is possible to compile against one set of header files and link against a different, incompatible, version of the library, although this should not normally occur.) Pass the symbolic value XkbMajorVersion in lib_major_in_out and XkbMinorVersion in lib_minor_in_out. These arguments represent the version of the library used at compile time. The XkbLibraryVersion function backfills the major and minor version numbers of the library used at run time in lib_major_in_out and lib_minor_in_out. If the versions of the compile time and run time libraries are compatible, XkbLibraryVersion returns True, otherwise, it returns False. In addition, in order to use the Xkb extension, you must ensure that the extension is present in the server and that the server supports the version of the extension expected by the client. Use XkbQueryExtension to do this, as described in the next section.

RETURN VALUES

True
    The XkbLibraryVersion returns True if the versions of the compile time and run time libraries are compatible.

False
    The XkbLibraryVersion returns False if the versions of the compile time and run time libraries are not compatible.

SEE ALSO
XkbMajorVersion(__libmansuffix__), XkbMinorVersion(__libmansuffix__), XkbQueryExtension(__libmansuffix__)